class AccountDeletePageModel {
  String appBarName;
  String appBarNameColor;
  String appBarBgColor;
  String bgColor;
  Tips tips;
  Buttom buttom;

  AccountDeletePageModel(
      {this.appBarName,
        this.appBarNameColor,
        this.appBarBgColor,
        this.bgColor,
        this.tips,
        this.buttom});

  AccountDeletePageModel.fromJson(Map<String, dynamic> json) {
    appBarName = json['app_bar_name'];
    appBarNameColor = json['app_bar_name_color'];
    appBarBgColor = json['app_bar_bg_color'];
    bgColor = json['bg_color'];
    tips = json['tips'] != null ? new Tips.fromJson(json['tips']) : null;
    buttom =
    json['buttom'] != null ? new Buttom.fromJson(json['buttom']) : null;
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['app_bar_name'] = this.appBarName;
    data['app_bar_name_color'] = this.appBarNameColor;
    data['app_bar_bg_color'] = this.appBarBgColor;
    data['bg_color'] = this.bgColor;
    if (this.tips != null) {
      data['tips'] = this.tips.toJson();
    }
    if (this.buttom != null) {
      data['buttom'] = this.buttom.toJson();
    }
    return data;
  }
}

class Tips {
  String bgColor;
  String title;
  String titleColor;
  String subtitle;
  String subtitleColor;
  List<TextList> textList;

  Tips(
      {this.bgColor,
        this.title,
        this.titleColor,
        this.subtitle,
        this.subtitleColor,
        this.textList});

  Tips.fromJson(Map<String, dynamic> json) {
    bgColor = json['bg_color'];
    title = json['title'];
    titleColor = json['title_color'];
    subtitle = json['subtitle'];
    subtitleColor = json['subtitle_color'];
    if (json['text_list'] != null) {
      textList = new List<TextList>();
      json['text_list'].forEach((v) {
        textList.add(new TextList.fromJson(v));
      });
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['bg_color'] = this.bgColor;
    data['title'] = this.title;
    data['title_color'] = this.titleColor;
    data['subtitle'] = this.subtitle;
    data['subtitle_color'] = this.subtitleColor;
    if (this.textList != null) {
      data['text_list'] = this.textList.map((v) => v.toJson()).toList();
    }
    return data;
  }
}

class TextList {
  String text;
  String color;

  TextList({this.text, this.color});

  TextList.fromJson(Map<String, dynamic> json) {
    text = json['text'];
    color = json['color'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['text'] = this.text;
    data['color'] = this.color;
    return data;
  }
}

class Buttom {
  Left left;
  Left right;

  Buttom({this.left, this.right});

  Buttom.fromJson(Map<String, dynamic> json) {
    left = json['left'] != null ? new Left.fromJson(json['left']) : null;
    right = json['right'] != null ? new Left.fromJson(json['right']) : null;
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    if (this.left != null) {
      data['left'] = this.left.toJson();
    }
    if (this.right != null) {
      data['right'] = this.right.toJson();
    }
    return data;
  }
}

class Left {
  String text;
  String textColor;
  String bgColor;

  Left({this.text, this.textColor, this.bgColor});

  Left.fromJson(Map<String, dynamic> json) {
    text = json['text'];
    textColor = json['text_color'];
    bgColor = json['bg_color'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['text'] = this.text;
    data['text_color'] = this.textColor;
    data['bg_color'] = this.bgColor;
    return data;
  }
}
